[typo] Towards 4.0.0

Piers Cawley pdcawley at bofh.org.uk
Fri Apr 14 11:02:26 EDT 2006


Rodger Donaldson <rodgerd at diaspora.gen.nz> writes:
> On Fri, Mar 31, 2006 at 04:51:17AM +0100, Piers Cawley wrote:
>> Rodger Donaldson <rodgerd at diaspora.gen.nz> writes:
>> 
>> > On Thu, Mar 30, 2006 at 09:29:48AM +0100, Piers Cawley wrote:
>> >> 
>> >> Again, I'm interested in everyone's input, but I'm particularly keen
>> >> to hear from anyone still running 2.6.0.
>> >
>> > Last time I tried a rake migrate on my test box it was a disaster
>> > area; I'm quite happy to do a dump of my prod 2.6 DB into a dev DB and
>> > redo if that will provide useful debugging.
>> 
>> That would be handy. We're rather more confident of the migration
>> routes now that we use BareMigrations. Essentially, all the migrations
>> are now protected from changes in our model classes.
>
> Sure.

[walkthrough of a failed upgrade elided]

> Ack.  So, I guess the DownloadCurrent page needs to note the
> dependency on rails 1.1 and/or rake 0.7.  It's too late to upgrade all
> of ruby tonight 8).

Drat! So it does, I shall get that sorted. We definitely depend on
Rails 1.1, but an SVN download should fetch the right version of Rails
through the magic of svn:externals. Sadly, we can't quite do the same
thing for Rake.

-- 
Piers Cawley <pdcawley at bofh.org.uk>
http://www.bofh.org.uk/


More information about the Typo-list mailing list